Skip to main content
`Ctrl`+`K`

# DMField

PETSc object for defining a field on a mesh topology

## Synopsis

    typedef struct _p_DMField *DMField;

## See Also

DM Basics, `DM`, `DMUniversalLabel`, `DMLabelCreate()`

## Level

intermediate

## Location

include/petscdmtypes.h

## Examples

src/dm/field/tutorials/ex1.c

## Implementations

_p_DMField in include/petsc/private/dmfieldimpl.h
DMField_DA in src/dm/field/impls/da/dmfieldda.c
DMField_DS in src/dm/field/impls/ds/dmfieldds.c
DMField_Shell in src/dm/field/impls/shell/dmfieldshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages